Bug 321721 - Review Request: shorewall-shell - Shell-based compiler for Shoreline Firewall
Review Request: shorewall-shell - Shell-based compiler for Shoreline Firewall
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 321731
  Show dependency treegraph
 
Reported: 2007-10-06 20:54 EDT by Jonathan Underwood
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-07 19:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-10-06 20:54:10 EDT
Spec URL: http://jgu.fedorapeople.org/shorewall-shell.spec
SRPM URL: http://jgu.fedorapeople.org/shorewall-shell-4.0.4-1.fc7.src.rpm
Description: 
The Shoreline Firewall, more commonly known as "Shorewall", is a
Netfilter (iptables) based firewall that can be used on a dedicated
firewall system, a multi-function gateway/ router/server or on a
standalone GNU/Linux system. 

The version 3 release series of Shorewall is already available in Fedora. With the release of version 4, upstream has added a new perl based rule compiler and completely changed the way the package is distributed. The shell-based and perl-based compilers are each distributed as individual tarballs, and files required to run shorewall with either compiler are packaged as a third tarball, shorewall-common. 

The shorewall-perl compilers is suggested for new
installed systems and shorewall-shell is provided for backwards
compatibility and smooth legacy system upgrades because shorewall perl
is not fully compatible with all legacy configurations.

This package contains the files comprising the legacy shell based compiler
Comment 1 Jonathan Underwood 2007-10-06 20:55:17 EDT
$ rpmlint -i ../RPMS/noarch/shorewall-shell-4.0.4-1.fc7.noarch.rpm 
shorewall-shell.noarch: W: empty-%post
shorewall-shell.noarch: W: empty-%preun
shorewall-shell.noarch: W: empty-%postun

--> These can be ignored.
Comment 2 Jonathan Underwood 2007-10-06 20:57:16 EDT
Added current shorewall package owner to cc. 

Robert - I'm not trying to usurp your package here, but I thought that because
upstream has changed so much, and because Id done the packaging work for other
reasons, it would be useful to put them into BZ for review. I am more than happy
if you want to continue owning this package. Am also happy to co-maintain
shorewall with you, if you like.
Comment 3 Jonathan Underwood 2007-10-07 19:38:57 EDT
Following discussion with Robert, and also on #fedora-devel, consensus seems to
be that it is better to have a single package with all tarballs. Therefore, I'm
closing this review, and discussion of the multitarball package will continue in
BZ #321731

Note You need to log in before you can comment on or make changes to this bug.